List Webhook Notifications

get/api/accounts/{accountId}/webhook-notifications

Retrieves Webhook Notifications for the given account id.

Request

Path Parameters

  • accountIdstringrequired

    Partner account id.

Query Parameters

  • limitnumber

    Amount of records to return (max 100).

  • cursorstring

    Cursor to retrieve the next page.

  • createdFromstring

    Filter for notifications from this date (inclusive). Value should be a ISO 8601 string.

  • createdTostring

    Filter for notifications up to this date (inclusive). Value should be a ISO 8601 string.

Response

Successful operation.

Body application/json

  • itemsobject[]

    Items

    • idstring

      Unique identifier for the webhook notification

    • accountIdstring

      Account ID associated with the notification

    • attemptsnumber

      Number of delivery attempts

    • createdAtstring<date-time>

      Timestamp when the notification was created

    • modifiedAtstring<date-time>

      Timestamp when the notification was last modified

    • deliveryStatusstring
      Allowed values:pendingattemptingdeliveredabortedfailed

      Status of the webhook delivery

    • topicstring

      The webhook topic/event type

    • lastDeliveryobject

      Details of the last delivery attempt

      • requestBodyobject

        The request body that was sent

        • messageIdstring
        • topicstring
        • listenerIdstring
        • listenerAccountIdstring
        • deliveryAttemptnumber
        • createdAtstring<date-time>
        • sentAtstring<date-time>
        • keyIdstring
        • livenessstring
          Allowed values:livetest
        • payloadobject

          The actual payload data for the webhook event

      • requestUrlstring<uri>

        The URL the webhook was sent to

      • requestTimestampstring<date-time>

        Timestamp when the request was sent

      • responseStatusnumber

        HTTP response status code from the webhook endpoint

      • responseTimestampstring<date-time>

        Timestamp when the response was received

      • durationnumber

        Duration of the request in milliseconds

  • pageInfoobject

    Page info for paginated results, undefined if no page info

    • nextCursorstring

      Cursor for next page, undefined if no more pages